Page MenuHomePhabricator

Update apertium-nno-nob, apertium-swe-dan, apertium-swe-nor and apertium-dan-nor packages
Closed, ResolvedPublic

Description

Upstream has released a new version of apertium-nno-nob, apertium-swe-dan, apertium-swe-nor and apertium-dan-nor.

Update these packages for WMF Debian repository.

Dependencies:

  • apertium-dan -> 0.6.0
    • Debian
    • WMF
  • apertium-nno -> 1.0.0
    • Debian
    • WMF
  • apertium-nob -> 1.0.0
    • Debian
    • WMF
  • apertium-swe -> 0.8.0
    • Debian
    • WMF

Update packages:

  • apertium-nno-nob -> 1.2.0
    • Debian
    • WMF
  • apertium-swe-dan -> 0.8.0
    • Debian
    • WMF
  • apertium-swe-nor -> 0.3.0
    • Debian
    • WMF
  • apertium-dan-nor -> 1.4.0
    • Debian
    • WMF

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 13 2019, 7:09 AM
KartikMistry updated the task description. (Show Details)Jul 15 2019, 8:19 AM
KartikMistry updated the task description. (Show Details)
Pginer-WMF triaged this task as Normal priority.Jul 15 2019, 8:38 AM

We need to update these packages in Debian, so workflow can be easier.

We are now unblocked to upload packages in Debian, so I'll start with it first.

KartikMistry updated the task description. (Show Details)Sep 9 2019, 2:44 PM
KartikMistry updated the task description. (Show Details)Sep 9 2019, 3:43 PM
KartikMistry updated the task description. (Show Details)Sep 9 2019, 4:11 PM
Arrbee updated the task description. (Show Details)Sep 10 2019, 7:52 AM

apertium-swe also need update.

I'm getting error in pushing to gerrit branch for packages for WMF:

$ git push gerrit upstream
Enumerating objects: 17, done.
Counting objects: 100% (17/17), done.
Delta compression using up to 4 threads
Compressing objects: 100% (12/12), done.
Writing objects: 100% (12/12), 713.62 KiB | 2.75 MiB/s, done.
Total 12 (delta 4), reused 0 (delta 0)
client_loop: send disconnect: Broken pipe
fatal: the remote end hung up unexpectedly
fatal: the remote end hung up unexpectedly

@akosiaris What can be above issue?

@ayounsi could the issue that @KartikMistry reports right above be related to T232491?

Mentioned in SAL (#wikimedia-operations) [2019-09-11T11:57:31Z] <bblack> applying GRE MTU -> MSS fixup to cobalt and gerrit2001 - T218184

Change 535847 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-dan@master] apertium-dan: New upstream release

https://gerrit.wikimedia.org/r/535847

Change 535853 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-swe@master] apertium-swe: New upstream release

https://gerrit.wikimedia.org/r/535853

Change 535863 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-nno@master] apertium-nno: New upstream release

https://gerrit.wikimedia.org/r/535863

ayounsi removed a subscriber: ayounsi.Sep 11 2019, 2:49 PM

Change 536165 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-nob@master] apertium-nob: New upstream release

https://gerrit.wikimedia.org/r/536165

@akosiaris Can you review and upload 4 (apertium{-dan, -swe, -nno, -nob}) packages? I can then go ahead with main packages once dependencies are available.

KartikMistry updated the task description. (Show Details)Sep 12 2019, 1:13 PM
KartikMistry updated the task description. (Show Details)Sep 12 2019, 1:15 PM

Change 535847 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/apertium-dan@master] apertium-dan: New upstream release

https://gerrit.wikimedia.org/r/535847

Change 535853 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/apertium-swe@master] apertium-swe: New upstream release

https://gerrit.wikimedia.org/r/535853

Change 535863 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/apertium-nno@master] apertium-nno: New upstream release

https://gerrit.wikimedia.org/r/535863

Change 536165 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/apertium-nob@master] apertium-nob: New upstream release

https://gerrit.wikimedia.org/r/536165

Mentioned in SAL (#wikimedia-operations) [2019-09-13T15:14:06Z] <akosiaris> upload apertium-dan_0.6.0-1+wmf3 apertium-nno_1.0.0-1+wmf1 apertium-nob_1.0.0-2+wmf1 apertium-swe_0.8.0-1+wmf1 to apt.wikimedia.org/jessie-wikimedia T218184

@akosiaris Can you review and upload 4 (apertium{-dan, -swe, -nno, -nob}) packages? I can then go ahead with main packages once dependencies are available.

Done

Change 538379 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-dan-nor@master] apertium-dan-nor: New upstream release

https://gerrit.wikimedia.org/r/538379

Change 538380 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-nno-nob@master] apertium-nno-nob: New upstream release

https://gerrit.wikimedia.org/r/538380

Change 538381 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-swe-dan@master] apertium-swe-dan: New upstream release

https://gerrit.wikimedia.org/r/538381

Change 538382 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-swe-nor@master] apertium-swe-nor: New upstream release

https://gerrit.wikimedia.org/r/538382

Change 538379 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/apertium-dan-nor@master] apertium-dan-nor: New upstream release

https://gerrit.wikimedia.org/r/538379

Change 538380 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/apertium-nno-nob@master] apertium-nno-nob: New upstream release

https://gerrit.wikimedia.org/r/538380

Change 538381 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/apertium-swe-dan@master] apertium-swe-dan: New upstream release

https://gerrit.wikimedia.org/r/538381

Change 538382 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/apertium-swe-nor@master] apertium-swe-nor: New upstream release

https://gerrit.wikimedia.org/r/538382

Mentioned in SAL (#wikimedia-operations) [2019-09-23T09:38:17Z] <akosiaris> T218184 upload to apt.wikimedia.org/jessie-wikimedia apertium-dan-nor_1.4.0-1+wmf1, apertium-nno-nob_1.2.0-1+wmf1, apertium-swe-dan_0.8.0-2+wmf1, apertium-swe-nor_0.3.0-2+wmf1

Pginer-WMF closed this task as Resolved.Tue, Sep 24, 8:37 AM

Hello. I'm trying to understand what more needs to be done to get the Wikimedia translation tool to accurately translate between nb and nn using the current Apertium package. I've raised the question elsewhere (https://www.mediawiki.org/wiki/Topic:V8ln9f2c3q8nhr1j), but no one has responded. Does anyone have any ideas?

Hello. I'm trying to understand what more needs to be done to get the Wikimedia translation tool to accurately translate between nb and nn using the current Apertium package. I've raised the question elsewhere (https://www.mediawiki.org/wiki/Topic:V8ln9f2c3q8nhr1j), but no one has responded. Does anyone have any ideas?

@TinoDidriksen Can you look at this?